For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate video topics

Suggests a list of video topics based on a prompt, niche, or brand description. Useful for surfacing content ideas before calling one of the draft endpoints such as Draft video.

Generate video topics

post

Generate ideas for around 50 videos within a given topic. You can then pass these to the Create video endpoint.

Authorizations
AuthorizationstringRequired

Your ShortGenius API token

Body

Parameters for generating video topic suggestions.

parent_topicstringOptional

Base idea or theme for generating custom topics.

localestring · enumOptional

Locale for topic generation.

Default: autoPossible values:
number_of_topicsnumber · max: 100Optional

Approximate number of topics to generate (max 100).

Default: 50
content_typestring · enumOptional

Content type of the video.

Default: CustomPossible values:
Responses
200

Successful response

application/json
string[]Optional

List of generated video topics.

post/videos/topics
POST /v1/videos/topics HTTP/1.1
Host: api.shortgenius.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 85

{
  "parent_topic": "text",
  "locale": "auto",
  "number_of_topics": 50,
  "content_type": "Custom"
}
[
  "text"
]

Last updated